package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapStatusPsikososialVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectPapRiwayatPsikososialFk")
	@NotNull(message = "PapRiwayatPsikososial tidak boleh kosong")
	private PapRiwayatPsikososialVO papRiwayatPsikososial;

	@ManyToOne
	@JoinColumn(name = "ObjectStatusPsikologiFk")
	@NotNull(message = "statusPsikologi tidak boleh kosong")
	private StatusRiwayatPsikologiVO statusRiwayatPsikologi;

	@NotNull(message = "Is Nilai tidak boleh kosong")
	@Column(name = "isNilai")
	@Caption(value = "Is Nilai")
	private Boolean isNilai;

	public PapRiwayatPsikososialVO getPapRiwayatPsikososial() {
		return papRiwayatPsikososial;
	}

	public void setPapRiwayatPsikososial(PapRiwayatPsikososialVO papRiwayatPsikososial) {
		this.papRiwayatPsikososial = papRiwayatPsikososial;
	}

	public StatusRiwayatPsikologiVO getStatusRiwayatPsikologi() {
		return statusRiwayatPsikologi;
	}

	public void setStatusRiwayatPsikologi(StatusRiwayatPsikologiVO statusRiwayatPsikologi) {
		this.statusRiwayatPsikologi = statusRiwayatPsikologi;
	}

	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}
	
}
